View Single Post
Old 2011-09-27, 10:25   #2
Ralf Recker
 
Ralf Recker's Avatar
 
Oct 2010

2778 Posts
Default

Quote:
Originally Posted by NBtarheel_33 View Post
I got the executable copied over, but when I went to run it, I kept getting an error that the file "libcudart.so.3" was nowhere to be found.
It seems that your binary was compiled with an older 3.x version of the CUDA toolkit.

Quote:
Originally Posted by NBtarheel_33 View Post
As far as I know (and can tell), the latest CUDA toolkit (4.0.17) is installed on the Amazon system.
Quick and dirty compilation instructions (CUDA Toolkit installed to /usr/local/cuda, /usr/local/cuda/bin/ not in the $PATH, your mileage may vary):

Code:
1. Download and unpack mfaktc-0.17.tar.gz
2. cd mfaktc-0.17/src
3. PATH=/usr/local/cuda/bin:$PATH make
4. cd ..

Last fiddled with by Ralf Recker on 2011-09-27 at 11:00
Ralf Recker is offline   Reply With Quote